Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAttributeDataToFieldDataFilter Class Reference

`#include <vtkAttributeDataToFieldDataFilter.h>`

Inheritance diagram for vtkAttributeDataToFieldDataFilter:

[legend]
Collaboration diagram for vtkAttributeDataToFieldDataFilter:

[legend]
List of all members.

## Detailed Description

map attribute data to field data

Date:
  2002/01/22 15:29:05

Revision:
  1.16

vtkAttributeDataToFieldDataFilter is a class that maps attribute data into field data. Since this filter is a subclass of vtkDataSetToDataSetFilter, the output dataset (whose structure is the same as the input dataset), will contain the field data that is generated. The filter will convert point and cell attribute data to field data and assign it as point and cell field data, replacing any point or field data that was there previously. By default, the original non-field point and cell attribute data will be passed to the output of the filter, although you can shut this behavior down.

Warning:
  Reference counting the underlying data arrays is used to create the field data. Therefore, no extra memory is utilized.

Warning:
  The original field data (if any) associated with the point and cell attribute data is placed into the generated fields along with the scalars, vectors, etc.

See also:
  vtkFieldData vtkDataObject vtkDataSet vtkFieldDataToAttributeDataFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Geveci, Berk (24%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkAttributeDataToFieldDataFilter.h)`
  - .`cxx` (`/Graphics/vtkAttributeDataToFieldDataFilter.cxx)`

Definition at line 61 of file vtkAttributeDataToFieldDataFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | SetPassAttributeData (int)
virtual int | GetPassAttributeData ()
virtual void | PassAttributeDataOn ()
virtual void | PassAttributeDataOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkAttributeDataToFieldDataFilter * | SafeDownCast (vtkObject *o)
vtkAttributeDataToFieldDataFilter * | New ()
## Protected Methods
| vtkAttributeDataToFieldDataFilter ()
| ~vtkAttributeDataToFieldDataFilter ()
void | Execute ()
## Protected Attributes
int | PassAttributeData

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkAttributeDataToFieldDataFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 65 of file vtkAttributeDataToFieldDataFilter.h.

## Constructor & Destructor Documentation

vtkAttributeDataToFieldDataFilter::vtkAttributeDataToFieldDataFilter | ( |  | ) | `[protected]`

vtkAttributeDataToFieldDataFilter::~vtkAttributeDataToFieldDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 80 of file vtkAttributeDataToFieldDataFilter.h.

## Member Function Documentation

void vtkAttributeDataToFieldDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

virtual const char* vtkAttributeDataToFieldDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkAttributeDataToFieldDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkAttributeDataToFieldDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkAttributeDataToFieldDataFilter* vtkAttributeDataToFieldDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

vtkAttributeDataToFieldDataFilter* vtkAttributeDataToFieldDataFilter::New | ( |  | ) | `[static]`

| Construct this object. Reimplemented from vtkObject.

virtual void vtkAttributeDataToFieldDataFilter::SetPassAttributeData | ( | int |  | ) | `[virtual]`

| Turn on/off the passing of point and cell non-field attribute data to the output of the filter.

virtual int vtkAttributeDataToFieldDataFilter::GetPassAttributeData | ( |  | ) | `[virtual]`

| Turn on/off the passing of point and cell non-field attribute data to the output of the filter.

virtual void vtkAttributeDataToFieldDataFilter::PassAttributeDataOn | ( |  | ) | `[virtual]`

| Turn on/off the passing of point and cell non-field attribute data to the output of the filter.

virtual void vtkAttributeDataToFieldDataFilter::PassAttributeDataOff | ( |  | ) | `[virtual]`

| Turn on/off the passing of point and cell non-field attribute data to the output of the filter.

void vtkAttributeDataToFieldDataFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkAttributeDataToFieldDataFilter::PassAttributeData`[protected]`

| Definition at line 84 of file vtkAttributeDataToFieldDataFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkAttributeDataToFieldDataFilter.h